
Infrastructure - Story #3927

eliminate the need for openLDAP install to allow truer unit testing

2013-08-15 19:19 - Rob Nahf

Status: Closed Start date: 2014-10-01

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_test_resources Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

this will benefit several CN packages that use LDAP,  especially cn_nodeRegistry

see especially https://github.com/trevershick/ldap-test-utils for the initial approach

else mockito?  http://java.dzone.com/articles/mocking-out-ldapjndi-unit

Subtasks:

Task # 6486: Update CN_Rest_Service to use new test suite framework Closed

Task # 6487: Update Identity package to incorporate new LDAP Test Suite Closed

History

#1 - 2013-08-15 19:20 - Rob Nahf

- Description updated

#2 - 2013-08-15 21:04 - Rob Nahf

Robert reports that unboundID is a deadend because they don't implement getContext(), which our LDAPService class relies on heavily.  It would

require a major refactor of our code to plugin. 

A new alternative he found is:

https://cwiki.apache.org/confluence/display/DIRxSRVx11/4.2.+Using+ApacheDS+for+unit+tests

it might be less obvious on how to add our own schemas, though:

robert: this is worrisome

[3:04pm] robert: >Adding your own schema

[3:04pm] robert: >  Work in progress

[3:04pm] robert: >This paragraph is totally outdated. It should be rewriten from scratch !

[3:04pm] robert: considering we need to add our own schema

#3 - 2014-07-31 21:30 - Robert Waltz

- Product Version set to 1.4.0

- Assignee changed from Rob Nahf to Robert Waltz

- Milestone changed from None to CCI-1.4

#4 - 2014-07-31 21:30 - Robert Waltz

- Status changed from New to In Progress

2024-05-09 1/2

https://github.com/trevershick/ldap-test-utils
http://java.dzone.com/articles/mocking-out-ldapjndi-unit
https://cwiki.apache.org/confluence/display/DIRxSRVx11/4.2.+Using+ApacheDS+for+unit+tests


#5 - 2014-07-31 21:33 - Robert Waltz

- Product Version changed from 1.4.0 to 2.0.0

- Milestone changed from CCI-1.4 to CCI-2.0

#6 - 2014-10-01 19:34 - Robert Waltz

- Category changed from d1_cn_node_registry to d1_test_resources

#7 - 2014-10-01 19:40 - Robert Waltz

- Due date set to 2014-10-01

- Start date set to 2014-10-01

- Target version set to Maintenance Backlog

#8 - 2014-10-01 20:27 - Robert Waltz

- Target version changed from Maintenance Backlog to Release Backlog

#9 - 2014-10-02 20:02 - Robert Waltz

- Target version changed from Release Backlog to CCI-1.5.1

- Due date changed from 2014-10-01 to 2014-10-02

#10 - 2015-01-06 18:32 - Robert Waltz

- Target version deleted (CCI-1.5.1)

- Due date deleted (2015-01-06)

- Start date deleted (2014-10-01)

#11 - 2015-01-06 18:33 - Robert Waltz

- Target version set to CCI-2.0.0

- Due date set to 2015-01-06

- Start date set to 2014-12-01

#12 - 2015-06-01 14:28 - Dave Vieglais

- Milestone changed from CCI-2.0 to None

- Target version changed from CCI-2.0.0 to Release Backlog

- % Done changed from 0 to 30

Moving to release backlog. This functionality is not required for v2.0, though certainly would be helpful.

#13 - 2016-08-10 20:45 - Robert Waltz

- % Done changed from 30 to 100

- Status changed from In Progress to Closed

#14 - 2016-08-10 21:05 - Robert Waltz

- Target version deleted (Release Backlog)
